#
# spec file for package perl-Time-Duration-Parse
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Time-Duration-Parse
Name:           perl-Time-Duration-Parse
Version:        0.16
Release:        1.13
Summary:        Parse string that represents time duration
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Time::Duration)
%{perl_requires}

%description
Time::Duration::Parse is a module to parse human readable duration strings
like _2 minutes and 3 seconds_ to seconds.

It does the opposite of Time::Duration/duration_exact function in
Time::Duration and is roundtrip safe. So, the following is always true.

  use Time::Duration::Parse;
  use Time::Duration;

  my $seconds = int rand 100000;
  is( parse_duration(duration_exact($seconds)), $seconds );

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Thu May 20 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.16
  see /usr/share/doc/packages/perl-Time-Duration-Parse/Changes
  0.16 2021-05-19 NEILB
  - Switched to plain Exporter, instead of Exporter::Lite.
    Thanks to Graham Knop for PR.
* Mon May 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.15
  see /usr/share/doc/packages/perl-Time-Duration-Parse/Changes
  0.15 2019-05-12 NEILB
  - Added support for fractional parts of seconds in hh:mm:ss.ssss
  - Added L<> links to Time::Duration and duration_exact in that module.
  - Fixed grammar in doc
* Sat Jun 30 2018 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Time-Duration-Parse/Changes
  0.14 2018-06-29 NEILB
  - Added "hrs" as another form for "hours". Thanks to Stig for the PR.
* Tue Oct 27 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Time-Duration-Parse/Changes
  0.13 2015-10-25 NEILB
  - Added additional abbrevations for 'months': 'mo', 'mon', 'mons'.
    Thanks to PERLANCAR.
  - Rewrote the main testsuite to be data driven, to make it easy to
    add test cases, as for the above change.
  - Updated github repo URL after changing my github username
* Sat Jul  4 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Time-Duration-Parse/Changes
  0.12 2015-07-02 NEILB
  - Added [MetaJSON] to dist.ini, so the dist will get a META.json file.
    RT#105627 from ETHER.
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.11
  - Min perl version now set to 5.6.0
  - Added description of DateTime::Format::Duration to SEE ALSO
  0.10 2014-03-24
  - Switched to Dist::Zilla. The Module::Install Makefile.PL was resulting
    in dependency problems and CPAN Testers fails, and I'm not familiar with
    it. Easier to switch. Thanks to ZEFRAM for pointing out the problem.
  0.09 2014-03-23
  - Test::More and Time::Duration were listed as build_requires;
    changed them to test_requires, with versions. Wonder if this was
    the cause of the small number of CPAN Testers fails?
  - Added more more modules to the SEE ALSO section in the pod.
  0.08 2014-03-23
  - Can now have a leading '+', as in '+2h'.
    Suggested by MSCHWERN in RT#66572
  - Added github repo to metadata (thanks dsteinbrunner)
  - Added github repo to pod
  - Added Time::Duration::Parse::More to SEE ALSO
  0.07 2014-03-21
  - Added 'use warnings'
  - Specified min perl version as 5.6.0 in Makefile.PL
  - Fixed pod error reported in RT#86904
  - Added license type 'perl' to metadata via Makefile.PL
  - Reformatted this file as per CPAN::Changes::Spec
* Thu Jul 14 2011 coolo@novell.com
- use original tarball
* Fri Jan 14 2011 coolo@novell.com
- initial package 0.06
  * created by cpanspec 1.78.03
